package cz.cvut.fel.pr2.telefonniseznam.data;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;
import java.util.ListIterator;

/**
 *
 * @author balikm1
 */
public class TelefonniSeznam {

    private final List<Kontakt> seznam = new ArrayList<Kontakt>();

    public TelefonniSeznam()
    {
    }

    public void pridejKontakt(Kontakt k)
    {
        seznam.add(k);
    }

    public void smazKontakt(Kontakt k)
    {
        if (this.obsahujeKontakt(k))
        {
            seznam.remove(k);
        }
    }

    public boolean obsahujeKontakt(Kontakt k)
    {
        return seznam.contains(k);
    }
    
    public void serad() {
        Collections.sort(seznam);
    }
    
    public void serad(Comparator<Kontakt> comparator) {
        Collections.sort(seznam, new KontaktPodleCislaComparator());
    }
    
    /**
     * @see http://docs.oracle.com/javase/8/docs/api/java/util/ListIterator.html#previous--
     * Note that alternating calls to next and previous will return the same element repeatedly.
     * @return a list iterator over the elements in this list (in proper sequence)
     */
    public ListIterator<Kontakt> iterator() {
        return seznam.listIterator();
    }
    
    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        for (Kontakt k : seznam)
        {
            builder.append(k).append(System.getProperty("line.separator"));
        }
        return builder.toString();
    }
}
