package cz.cvut.fel.pr2.telefonniseznam.validation;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author balikm1
 */
public class ValidationException extends RuntimeException {
    
    private final List<String> errorMessages = new ArrayList<String>();

    public ValidationException() {
    }

    public ValidationException(String message) {
        super(message);
    }
    
    public ValidationException(List<String> messages) {
        super(String.join("\n", messages));
        errorMessages.addAll(messages);
    }

    public ValidationException(String message, Throwable cause) {
        super(message, cause);
    }

    public ValidationException(Throwable cause) {
        super(cause);
    }
    
    public List<String> getMessages() {
        return errorMessages;
    }
    
}
